Subject: [Megaco] Megaco control of E&M line terminations

From: Jon Rowland <[email-masked]>
Date: Thu, 25 Mar 2004 11:09:42 -0000

> Hello,
> 
> I am looking at how an MGC can control a gateway with line terminations
> using E&M protocols (e.g. wink start signaling), which might be used if,
> say, the gateway is connected to a PBX.
> 
> I have not been able to find any existing Megaco packages that would allow
> programming of such terminations. The existing analogue line supervision
> packages are unsatisfactory for this as they expose concepts such as 'off
> hook' that are usually not relevant to E&M lines. Typically in digital
> networks E&M is signaled over CAS, but the existing CAS packages do not
> include the full set of signals and events (such as 'wink') that would be
> required for the MGC to control the CAS states directly.
> 
> An additional consideration is that for most E&M protocols there are
> strict event-response timing requirements that would be impossible to
> satisfy if interim flows to the MGC were required.
> 
> The approach taken by MGCP in the 'DT' package (1.2.2+2.2/RFC3064) is to
> define signals and events at the level of 'new call setup', 'call
> answered' and 'call release' rather than requiring the MGC to have
> detailed knowledge of the underlying CAS transitions for each E&M variant.
> Given the stringent timing requirements of the protocols, this would seem
> to be a sensible approach for Megaco-controlled gateways as well.
> 
> Does anyone know if there are any existing Megaco packages, or Megaco
> packages under development for control of E&M terminations?
> If not, does defining a new package with an approach similar to that of
> MGCP in RFC3064 seem sensible?
> 
> Thanks for your input,
> Jon Rowland.
> 
> -----
> Jon Rowland
> MetaSwitch Group
> Data Connection Ltd (DCL)
> 
> Tel:	+44 20 8366 1177		Fax: +44 20 8363 4478
> Email:	[email-masked]	Web: http://www.metaswitch.com
> 

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Jon Rowland <[email-masked]>
Date: Fri, 26 Mar 2004 18:37:43 -0000

Apologies. I've spotted this is in fact covered by H.248.25. Please
therefore ignore my mail below!

---

From: Jon Rowland <[email-masked]>
Date: Fri, 26 Mar 2004 18:37:43 -0000